#
# spec file for package openxdas (Version 0.3.192)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unixODBC unixODBC-devel unzip update-alternatives util-linux vim xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           openxdas
BuildRequires:  gcc java-1_4_2-sun-devel libgcc unixODBC-devel update-alternatives
License:        BSD License and BSD-like
Group:          Productivity/Security
Autoreqprov:    on
Version:        0.3.192
Release:        1.5
Summary:        Distributed Auditing Service (XDAS)
URL:            http://openxdas.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The OpenXDAS project is an open source implementation of the OpenGroup
Security Forum's XDAS (Distributed Auditing Service) specification.
OpenXDAS provides a standards-based audit framework and instrumentation
API and library to the security and identity application developer.



Authors:
--------
    John Calcote <jcalcote@novell.com>

%debug_package
%package devel
Summary:        OpenXDAS static library and header files
Group:          Development/Libraries/C and C++
Provides:       openxdas-devel

%description devel
This package contains the necessary libraries and C-Language header
files to allow a developer to instrument an application to generate and
submit XDAS audit events to an XDAS logging server.



Authors:
--------
    John Calcote <jcalcote@novell.com>

%prep
%setup

%build
%configure
make
make check

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 xdasd.init $RPM_BUILD_ROOT/etc/init.d/xdasd
ln -sf ../../etc/init.d/xdasd $RPM_BUILD_ROOT/usr/sbin/rcxdasd
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT/%{_datadir}/java/%{name}.jar

%post
%{fillup_and_insserv -f xdasd}

%preun
%stop_on_removal xdasd

%postun
%restart_on_update xdasd
%insserv_cleanup

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config /etc/init.d/xdasd
%dir %{_libdir}/%{name}
/usr/sbin/xdasd
/usr/sbin/rcxdasd
%{_libdir}/libxdas.so.*
%{_libdir}/%{name}/libxdm_*.so*
%{_datadir}/java/%{name}-%{version}.jar
%{_datadir}/java/%{name}.jar

%files devel
%defattr(-,root,root)
%{_libdir}/libxdas.*a
%{_libdir}/libxdas.so
%{_libdir}/%{name}/libxdm_*.*a
%{_prefix}/include/xdas*.h

%changelog
* Tue Jan 30 2007 - jcalcote@novell.com
- fixed queuing defects. No new features.
* Fri Jan 26 2007 - jcalcote@novell.com
- added message queue with background logger thread to xdas daemon
- added MySQL database examples to README.ODBC
* Mon Jan 22 2007 - jcalcote@novell.com
- added ODBC logger module
- various minor bug fixes
* Fri Jan 12 2007 - ro@suse.de
- submitted to SLE10-SP1 (Fate#301871)
* Wed Nov 08 2006 - jcalcote@novell.com
- updated java build to work correctly with java2-devel-packages
- updated java build to work correctly with autotools
* Fri Oct 27 2006 - jcalcote@novell.com
- added java client
- added self-instrumentation (openxdas throws audit system events)
* Wed Oct 11 2006 - jcalcote@novell.com
- high processor utilization bug fix
- update to xdas client interface - library interface rev'd to 1.0.0
* Tue Oct 03 2006 - jcalcote@novell.com
- added logger modules to %%files sections
- see ChangeLog for a complete log of changes to the project
* Fri Sep 15 2006 - jcalcote@novell.com
- Initial submission
